security:
    password_hashers:
        Symfony\Component\Security\Core\User\PasswordAuthenticatedUserInterface: 'auto'
    providers:
        app_users:
            entity: { class: App\Entity\User, property: username }

    role_hierarchy:
        ROLE_ADMIN:       ROLE_USER
        ROLE_CAS_AUTHENTICATED: ROLE_USER

    firewalls:
        test:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        main:
            provider: app_users
            custom_authenticators:
                - App\Security\CasAuthenticator
            entry_point: form_login
            pattern: ^/
            form_login:
                provider: app_users
                login_path: login
                check_path: /local/login
            logout:
                path: logout
    access_control:
    - { path: ^/login, role: PUBLIC_ACCESS }
    - { path: ^/cas/login, role: PUBLIC_ACCESS }
    - { path: ^/local/login, role: PUBLIC_ACCESS }
    - { path: ^/cas/not-authorized, role: PUBLIC_ACCESS }
    - { path: ^/cas/logout, role: PUBLIC_ACCESS }
    - { path: ^/admin, role: ROLE_ADMIN }
    - { path: ^/, role: PUBLIC_ACCESS }
